# DelegateBasedKeyValueRepo

constructor(readDelegate: ReadKeyValueRepo < Key , Value >, writeDelegate: WriteKeyValueRepo < Key , Value >)(source)

#### Parameters

readDelegate

Delegate providing all ReadKeyValueRepo operations

writeDelegate

Delegate providing all WriteKeyValueRepo operations

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values in the repository